SolrDocument
SolrDocument::clear
SolrDocument
PHP Manual

# SolrDocument::addField

(PECL solr >= 0.9.2)

SolrDocument::addField — Adds a field to the document

### Description

public bool SolrDocument::addField ( string `$fieldName` , string `$fieldValue` )

This method adds a field to the SolrDocument instance.

### Parameters

`fieldName`

  The name of the field

`fieldValue`

  The value of the field.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

SolrDocument
SolrDocument::clear
SolrDocument
PHP Manual